import { get, post, postJson } from './http.js';

export const getSoundMsg = (params) => {
  return get('app/message/getSoundMsg', params)
}

// 获取配置
export const getConfig = (params) => {
  return get('app/member/detail', params)
}

// 修改配置
export const updateConfig = (params) => {
  return post('app/member/config', params)
}

// 消息推送语音提示查询
export const queryPushMessageStatus = (params) => {
  return get('app/message/queryPushMessageStatus', params)
}
// 消息推送语音提示修改
export const updateSavePushMessageStatus = (params) => {
  return postJson('app/message/updateSavePushMessageStatus', params)
}
// 获取运力推荐、屏蔽
export const getDeliveryFloorList = (params) => {
  return get('app/delivery/floor/list', params)
}
// 常用地址列表
export const getAddressList = (params) => {
  return get('app/address/getAddressList', params)
}
// 删除地址
export const deleteAddress = (params) => {
  return post('app/address/delete', params)
}
// 更新地址
export const updateAddress = (params) => {
  return post('app/address/update', params)
}
// 添加地址
export const addAddress = (params) => {
  return post('app/address/add', params)
}
// 地址详情
export const getAddressDetail = (params) => {
  return get('app/address/info', params)
}
// 设为默认地址
export const defaultAddress = (params) => {
  return post('app/address/default', params)
}
// 同步外卖平台图片
export const syncFoodImg = (params) => {
  return get('app/waimai/syncFoodImg', params)
}
